%define oname pygobject
%define name python-gobject
%define version 2.15.4
%define release %mkrel 1

%if %mdkversion < 200610
%define py_platsitedir %_libdir/python%pyver/site-packages/
%endif

%define api 2.0
%define major 0
%define libname %mklibname pyglib %api %major
Summary: GObject Python bindings 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/pygobject/%{oname}-%{version}.tar.bz2
Patch: pygobject-2.11.0-fixdetection.patch
#gw fix dep on libffi
# http://bugzilla.gnome.org/show_bug.cgi?id=550231
Patch1: pygobject-2.15.3-libffi-in-pkg-config.patch
License: LGPLv2+
Group: Development/Python
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: glib2-devel
BuildRequires: ffi5-devel
BuildRequires: gtk-doc
BuildRequires: automake1.8
Conflicts: pygtk2.0 < 2.8.3

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package -n %libname
Group: System/Libraries
Summary: Python Glib bindings shared library

%description -n %libname
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package devel
Group: Development/C
Summary: Python-gobject development files
Requires: %name = %version
Requires: %libname = %version

%description devel
This contains the python-gobject development files, including C
header, pkg-config file, gtk-doc generated API documentation and a code
generation tool.


%prep
%setup -q -n %oname-%version
%patch -p1
%patch1 -p1
aclocal -I m4
autoconf
automake

%build
%define _disable_ld_no_undefined 1
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdvver < 200900
%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog
%py_platsitedir/pygtk*
%py_platsitedir/gtk-2.0/
%_datadir/pygobject/

%files -n %libname
%defattr(-,root,root)
%_libdir/libpyglib-%api.so.%{major}*

%files devel
%defattr(-,root,root)
%_bindir/pygobject-codegen-2.0
%_libdir/pkgconfig/*.pc
%_libdir/libpyglib-%api.so
%_libdir/libpyglib-%api.la
%_includedir/pygtk-2.0/
%_datadir/gtk-doc/html/pygobject/



%changelog
* Wed Sep 03 2008 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2009.0
+ Revision: 279585
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.15.3-3mdv2009.0
+ Revision: 278402
- fix dep on libffi (b.g.o bug #550231)

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.15.3-2mdv2009.0
+ Revision: 278211
- build with libffi

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2009.0
+ Revision: 278072
- new version
- drop patch 1

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.15.2-2mdv2009.0
+ Revision: 262917
- fix for bug 42467 (pygtk apps don't launch)

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2009.0
+ Revision: 250612
- new version
- add package for libpyglib
- disable --no-undefined

* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.15.1-1mdv2009.0
+ Revision: 236290
- new version
- update file list
- remove conflict with pygtk

* Tue Jul 15 2008 Götz Waschk <waschk@mandriva.org> 2.15.0-1mdv2009.0
+ Revision: 235854
- update license
- new version
- update file list
- add conflict with old pygtk2.0-devel
- update description

* Mon May 26 2008 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2009.0
+ Revision: 211295
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

* Thu Jan 03 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2008.1
+ Revision: 142105
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 2.14.0-2mdv2008.0
+ Revision: 91462
- move development doc in devel package

* Sun Sep 16 2007 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2008.0
+ Revision: 88449
- new version

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.13.2-1mdv2008.0
+ Revision: 49435
- new version

* Thu Jun 28 2007 Helio Chissini de Castro <helio@mandriva.com> 2.13.1-3mdv2008.0
+ Revision: 45502
- MOve devel files for devel place

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.13.1-2mdv2008.0
+ Revision: 36193
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version


* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-2mdv2007.0
+ Revision: 87908
- rebuild

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdv2007.1
+ Revision: 86166
- new version
- unpack patch
- Import python-gobject

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2007.0
- New version 2.12.2

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
- New release 2.12.1

* Tue Aug 29 2006 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2007.0
- New release 2.11.4

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2007.0
- New release 2.11.3

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2007.0
- New release 2.11.2

* Sun Aug 06 2006 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdv2007.0
- update file list
- disable parallel make
- New release 2.11.1

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 2.11.0-1mdv2007.0
- update the patch
- New release 2.11.0

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdk
- update patch
- New release 2.10.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdk
- New release 2.10.0

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.9.1-2mdk
- Allow compilation with old distro

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdk
- New release 2.9.1

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 2.9.0-3mdk
- Use new python macro

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-2mdk
- add conflict to ease upgrade

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdk
- initial package

